UHD 003.004.003-0-unknown

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- a
- b
- c
- e
- i
- m
- p
- r
- s
- u

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros

### - a -

- ATR_REG_FULL_DUPLEX : uhd::usrp::dboard_iface
- ATR_REG_IDLE : uhd::usrp::dboard_iface
- ATR_REG_RX_ONLY : uhd::usrp::dboard_iface
- ATR_REG_TX_ONLY : uhd::usrp::dboard_iface
- AUX_ADC_A : uhd::usrp::dboard_iface
- AUX_ADC_B : uhd::usrp::dboard_iface
- AUX_DAC_A : uhd::usrp::dboard_iface
- AUX_DAC_B : uhd::usrp::dboard_iface
- AUX_DAC_C : uhd::usrp::dboard_iface
- AUX_DAC_D : uhd::usrp::dboard_iface

### - b -

- BO_BIG_ENDIAN : uhd::otw_type_t
- BO_LITTLE_ENDIAN : uhd::otw_type_t
- BO_NATIVE : uhd::otw_type_t
- BO_NOT_APPLICABLE : uhd::otw_type_t
- BOOLEAN : uhd::sensor_value_t

### - c -

- COMPLEX_FLOAT32 : uhd::io_type_t
- COMPLEX_FLOAT64 : uhd::io_type_t
- COMPLEX_INT16 : uhd::io_type_t
- COMPLEX_INT8 : uhd::io_type_t
- CUSTOM_TYPE : uhd::io_type_t

### - e -

- EDGE_FALL : uhd::spi_config_t
- EDGE_RISE : uhd::spi_config_t
- ERROR_CODE_ALIGNMENT : uhd::rx_metadata_t
- ERROR_CODE_BAD_PACKET : uhd::rx_metadata_t
- ERROR_CODE_BROKEN_CHAIN : uhd::rx_metadata_t
- ERROR_CODE_LATE_COMMAND : uhd::rx_metadata_t
- ERROR_CODE_NONE : uhd::rx_metadata_t
- ERROR_CODE_OVERFLOW : uhd::rx_metadata_t
- ERROR_CODE_TIMEOUT : uhd::rx_metadata_t
- EVENT_CODE_BURST_ACK : uhd::async_metadata_t
- EVENT_CODE_SEQ_ERROR : uhd::async_metadata_t
- EVENT_CODE_SEQ_ERROR_IN_BURST : uhd::async_metadata_t
- EVENT_CODE_TIME_ERROR : uhd::async_metadata_t
- EVENT_CODE_UNDERFLOW : uhd::async_metadata_t
- EVENT_CODE_UNDERFLOW_IN_PACKET : uhd::async_metadata_t
- EVENT_CODE_USER_PAYLOAD : uhd::async_metadata_t

### - i -

- INTEGER : uhd::sensor_value_t

### - m -

- MAP_B000 : uhd::usrp::mboard_eeprom_t
- MAP_B100 : uhd::usrp::mboard_eeprom_t
- MAP_E100 : uhd::usrp::mboard_eeprom_t
- MAP_N100 : uhd::usrp::mboard_eeprom_t

### - p -

- PACKET_TYPE_CONTEXT : uhd::transport::vrt::if_packet_info_t
- PACKET_TYPE_DATA : uhd::transport::vrt::if_packet_info_t
- PACKET_TYPE_EXTENSION : uhd::transport::vrt::if_packet_info_t
- POLICY_AUTO : uhd::tune_request_t
- POLICY_MANUAL : uhd::tune_request_t
- POLICY_NONE : uhd::tune_request_t
- PPS_INT : uhd::clock_config_t
- PPS_MIMO : uhd::clock_config_t
- PPS_NEG : uhd::clock_config_t
- PPS_POS : uhd::clock_config_t
- PPS_SMA : uhd::clock_config_t

### - r -

- REALNUM : uhd::sensor_value_t
- REF_AUTO : uhd::clock_config_t
- REF_INT : uhd::clock_config_t
- REF_MIMO : uhd::clock_config_t
- REF_SMA : uhd::clock_config_t

### - s -

- STREAM_MODE_NUM_SAMPS_AND_DONE : uhd::stream_cmd_t
- STREAM_MODE_NUM_SAMPS_AND_MORE : uhd::stream_cmd_t
- STREAM_MODE_START_CONTINUOUS : uhd::stream_cmd_t
- STREAM_MODE_STOP_CONTINUOUS : uhd::stream_cmd_t
- STRING : uhd::sensor_value_t

### - u -

- UNIT_RX : uhd::usrp::dboard_iface
- UNIT_TX : uhd::usrp::dboard_iface